Skip to main content
`Ctrl`+`K`

# MATPREALLOCATOR

MATPREALLOCATOR = “preallocator” - A matrix type to be used for computing a matrix preallocation.

## Operations Provided

      MatSetValues()

## Options Database Keys

- -mat_type preallocator - sets the matrix type to `MATPREALLOCATOR` during a call to `MatSetFromOptions()`

## See Also

`MATPREALLOCATOR`, `Mat`, `MatPreallocatorPreallocate()`

## Level

advanced

## Location

src/mat/impls/preallocator/matpreallocator.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages